This page was not yet optimized for use on mobile devices.
Ubuntu 18.04 Kernel Crypto API Cryptographic Module
Certificate details
| Certificate ID | #3647 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition - replaced by certificate #4596 |
| Validation dates | 24.04.2020 , 17.06.2020 , 21.09.2021 , 18.10.2021 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Exceptions |
|
| Description | The Ubuntu 18.04 Kernel Crypto API module is a software module running as part of the operating system kernel that provides general purpose cryptographic services. |
| Tested configurations |
|
| Vendor | Canonical Ltd. http://www.canonical.com |
| Lab | atsec information security corporation |
| Algorithms |
|
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-192, AES-256, AES-, DES, Triple-DES, TDEA, HMAC, HMAC-SHA-512, HMAC-SHA-224, HMAC-SHA-256, HMAC-SHA-384, CMACAsymmetric Algorithms
Diffie-Hellman, DSAHash functions
SHA-1, SHA1, SHA-224, SHA-256, SHA-384, SHA-512, SHA3-224, SHA3-256, SHA3-384, SHA3-512, SHA3Schemes
MAC, Key Exchange, Key AgreementProtocols
IKE, IKEv2, IPsecRandomness
DRBG, RNGElliptic Curves
P-192, P-256Block cipher modes
ECB, CBC, CTR, GCM, CCM, XTSSecurity level
Level 1, level 1Standards
FIPS 140-2, FIPS PUB 140-2, FIPS197, FIPS198-1, FIPS186-4, FIPS180-4, FIPS 202, FIPS 198-1, FIPS140-2, SP 800-38F, SP 800-57, PKCS#1, RFC4106, RFC6071, RFC7296, X.509Cross-references
Incoming- 3648 - historical - Ubuntu 18.04 Strongswan Cryptographic Module
- 3954 - historical - Ubuntu 18.04 Google Kernel Crypto API Cryptographic Module
- 4597 - historical - Ubuntu 18.04 AWS Kernel Crypto API Cryptographic Module
- 3664 - historical - Ubuntu 18.04 AWS Kernel Crypto API Cryptographic Module
- 3683 - historical - Ubuntu 18.04 Azure Kernel Crypto API Cryptographic Module
- 4598 - historical - Ubuntu 18.04 Google Kernel Crypto API Cryptographic Module
- 4464 - historical - Ubuntu 18.04 Azure Kernel Crypto API Cryptographic Module
Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
Loading...
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3647,
"dgst": "aaa33494ff99c63d",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#C759",
"KTS#C767",
"Triple-DES#C755",
"KTS#C772",
"SHS#C772",
"KTS#C766",
"#C676",
"#C755",
"AES#C756",
"CVL#C771",
"CVL#C755",
"KTS#C758",
"AES#C776",
"RSA#C768",
"RSA#C766",
"HMAC#C768",
"#C769",
"#C758",
"#C79",
"#C767",
"AES#C770",
"AES#C771",
"Triple-DES#C775",
"KTS#C755",
"#C774",
"RSA#C767",
"RSA#C772",
"AES#C79",
"#C762",
"DRBG#C758",
"#760",
"AES#C762",
"AES#C764",
"DRBG#C767",
"SHS#C767",
"RSA#C755",
"SHS#C79",
"AES#C772",
"RSA#C771",
"KTS#C775",
"AES#C758",
"DRBG#C768",
"SHA-3#C755",
"#C669",
"DRBG#C771",
"AES#C757",
"AES#C760",
"HMAC#C767",
"#C761",
"#C760",
"DRBG#C761",
"DRBG#C775",
"SHS#C755",
"#C673",
"DRBG#C766",
"AES#C765",
"AES#C761",
"#C759",
"AES#C777",
"AES#C755",
"#C768",
"AES#C763",
"#C771",
"#C772",
"HMAC#C771",
"KTS#C771",
"#C756",
"#C775",
"#C765",
"#C766",
"#C776",
"AES#C774",
"DRBG#C755",
"#C773",
"#C764",
"#C770",
"Triple-DES#C771",
"AES#C775",
"SHS#C766",
"HMAC#C755",
"#C757",
"Triple-DES#C758",
"SHS#C771",
"KTS#C768",
"SHA-3#C771",
"DRBG#C772",
"AES#C769",
"Triple-DES#C772",
"Triple-DES#C79",
"HMAC#C772",
"#C763",
"SHS#C768",
"#C777",
"AES#C773",
"HMAC#C766"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"18.04"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": {
"_type": "Set",
"elements": [
"3648"
]
},
"directly_referencing": null,
"indirectly_referenced_by": {
"_type": "Set",
"elements": [
"3648"
]
},
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": {
"_type": "Set",
"elements": [
"3648",
"3664",
"4598",
"3683",
"4597",
"4464",
"3954"
]
},
"directly_referencing": null,
"indirectly_referenced_by": {
"_type": "Set",
"elements": [
"3648",
"3664",
"4464",
"4598",
"3683",
"4597",
"3954"
]
},
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 42,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"FF": {
"DH": {
"Diffie-Hellman": 21
},
"DSA": {
"DSA": 1
}
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 19
},
"CCM": {
"CCM": 10
},
"CTR": {
"CTR": 18
},
"ECB": {
"ECB": 17
},
"GCM": {
"GCM": 24
},
"XTS": {
"XTS": 9
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"IKE": {
"IKE": 1,
"IKEv2": 1
},
"IPsec": {
"IPsec": 3
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 3
},
"KEX": {
"Key Exchange": 2
},
"MAC": {
"MAC": 12
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-192": 4,
"P-256": 10
}
},
"eval_facility": {
"atsec": {
"atsec": 45
}
},
"fips_cert_id": {
"Cert": {
"#760": 1
}
},
"fips_certlike": {
"Certlike": {
"AES key 128, 192": 1,
"AES-128": 4,
"AES-192": 3,
"AES-256": 3,
"HMAC-SHA-1": 2,
"HMAC-SHA-224": 2,
"HMAC-SHA-256": 2,
"HMAC-SHA-384": 2,
"HMAC-SHA-512": 6,
"HMACSHA-512": 1,
"PKCS#1": 2,
"SHA-1": 13,
"SHA-224": 11,
"SHA-256": 20,
"SHA-384": 13,
"SHA-512": 10,
"SHA-512 1024": 2,
"SHA-512 112": 2,
"SHA1": 2,
"SHA3": 4,
"SHA3-224": 6,
"SHA3-256": 2,
"SHA3-384": 6,
"SHA3-512": 2
}
},
"fips_security_level": {
"Level": {
"Level 1": 2,
"level 1": 3
}
},
"hash_function": {
"SHA": {
"SHA1": {
"SHA-1": 13,
"SHA1": 2
},
"SHA2": {
"SHA-224": 11,
"SHA-256": 20,
"SHA-384": 13,
"SHA-512": 14
},
"SHA3": {
"SHA3": 4,
"SHA3-224": 6,
"SHA3-256": 2,
"SHA3-384": 6,
"SHA3-512": 2
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 21
},
"RNG": {
"RNG": 4
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 54,
"FIPS 198-1": 2,
"FIPS 202": 2,
"FIPS PUB 140-2": 3,
"FIPS140-2": 1,
"FIPS180-4": 6,
"FIPS186-4": 3,
"FIPS197": 9,
"FIPS198-1": 5
},
"NIST": {
"SP 800-38F": 2,
"SP 800-57": 1
},
"PKCS": {
"PKCS#1": 1
},
"RFC": {
"RFC4106": 12,
"RFC6071": 1,
"RFC7296": 1
},
"X509": {
"X.509": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 82,
"AES-": 2,
"AES-128": 4,
"AES-192": 3,
"AES-256": 3
}
},
"DES": {
"3DES": {
"TDEA": 1,
"Triple-DES": 39
},
"DES": {
"DES": 4
}
},
"constructions": {
"MAC": {
"CMAC": 10,
"HMAC": 30,
"HMAC-SHA-224": 1,
"HMAC-SHA-256": 1,
"HMAC-SHA-384": 1,
"HMAC-SHA-512": 3
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#C762",
"AES#C777",
"AES#C759",
"HMAC#C755",
"Triple-DES#C758",
"AES#C755",
"SHS#C771",
"KTS#C767",
"Triple-DES#C755",
"AES#C764",
"KTS#C768",
"KTS#C772",
"SHA-3#C771",
"KTS#C766",
"DRBG#C772",
"SHS#C772",
"AES#C763",
"DRBG#C767",
"SHS#C767",
"AES#C756",
"CVL#C771",
"CVL#C755",
"KTS#C758",
"RSA#C755",
"SHS#C79",
"AES#C776",
"HMAC#C766",
"AES#C772",
"RSA#C768",
"RSA#C771",
"KTS#C775",
"AES#C758",
"DRBG#C768",
"RSA#C766",
"SHA-3#C755",
"HMAC#C771",
"HMAC#C768",
"KTS#C771",
"AES#C769",
"DRBG#C771",
"AES#C757",
"AES#C760",
"HMAC#C767",
"Triple-DES#C772",
"Triple-DES#C79",
"AES#C774",
"AES#C770",
"DRBG#C755",
"HMAC#C772",
"AES#C771",
"DRBG#C761",
"Triple-DES#C775",
"KTS#C755",
"SHS#C768",
"DRBG#C775",
"SHS#C755",
"RSA#C767",
"RSA#C772",
"DRBG#C766",
"AES#C765",
"AES#C79",
"AES#C761",
"DRBG#C758",
"Triple-DES#C771",
"AES#C775",
"AES#C773",
"SHS#C766"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#C757",
"#C768",
"#C676",
"#C755",
"#C771",
"#C772",
"#C769",
"#C669",
"#C756",
"#C775",
"#C758",
"#C79",
"#C765",
"#C766",
"#C767",
"#C776",
"#C761",
"#C763",
"#C773",
"#C764",
"#C760",
"#C774",
"#C673",
"#C762",
"#C777",
"#C770",
"#760",
"#C759"
]
},
"policy_metadata": {
"/Author": "Alejandro Fabio Masino",
"/CreationDate": "D:20210916002428+00\u002700\u0027",
"/Creator": "Microsoft Word",
"/ModDate": "D:20210916002428+00\u002700\u0027",
"/Title": "FIPS 140-2 Non-Proprietary Security Policy",
"pdf_file_size_bytes": 738475,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.186-4.pdf",
"https://tools.ietf.org/html/rfc6071",
"http://www.ietf.org/rfc/rfc3447.txt",
"https://tools.ietf.org/html/rfc7296",
"http://csrc.nist.gov/publications/fips/fips140-2/fips1402.pdf",
"https://tools.ietf.org/html/rfc4106",
"http://csrc.nist.gov/groups/STM/cmvp/documents/fips140-2/FIPS1402IG.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38D/SP-800-38D.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38E/nist-sp-800-38E.pdf",
"http://nvlpubs.nist.gov/nistpubs/Legacy/SP/nistspecialpublication800-38c.pdf",
"http://csrc.nist.gov/publications/fips/fips198-1/FIPS-198-1_final.pdf",
"http://csrc.nist.gov/publications/fips/fips197/fips-197.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-67-Rev1/SP-800-67-Rev1.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-90Ar1.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38a/sp800-38a.pdf",
"http://nvlpubs.nist.gov/nistpubs/FIPS/NIST.FIPS.180-4.pdf",
"http://csrc.nist.gov/publications/nistpubs/800-38B/SP_800-38B.pdf",
"https://www.ubuntu.com/contact-us",
"mailto:[email protected]",
"http://www.chronox.de/crypto-API/crypto/architecture.html",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-131Ar1.pdf",
"http://nvlpubs.nist.gov/nistpubs/SpecialPublications/NIST.SP.800-38F.pdf"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 43
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "ed1357589a7e304791db9ef97e22d0fb58ee3d01ed7f09a00cd12d3d8ed74a0e",
"source_hash": "48e97f5de18e6f1d79317a84228c9e49d3e387ed7f86effd3f854bb274743e6e",
"txt_hash": "2ffb4df971457ffc63221cc3ba1a2e4b388dfabda14b29cb4038695050f2bfbb"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/April 2020_010520_0717.pdf",
"date_sunset": null,
"description": "The Ubuntu 18.04 Kernel Crypto API module is a software module running as part of the operating system kernel that provides general purpose cryptographic services.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Physical Security: N/A",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "SP 800-56Arev3 transition - replaced by certificate #4596",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Ubuntu 18.04 Kernel Crypto API Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "2.0",
"tested_conf": [
"Ubuntu 18.04 LTS 64-bit on IBM z/VM running on IBM z/14 with z14 with PAI",
"Ubuntu 18.04 LTS 64-bit on IBM z/VM running on IBM z/14 with z14 without PAI (single-user mode)",
"Ubuntu 18.04 LTS 64-bit running on Supermicro SYS-5018R-WR with Intel Xeon CPU E5 with PAA",
"Ubuntu 18.04 LTS 64-bit running on Supermicro SYS-5018R-WR with Intel Xeon CPU E5 without PAA"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2020-04-24",
"lab": "atsec information security corporation",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2020-06-17",
"lab": "atsec information security corporation",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-09-21",
"lab": "atsec information security corporation",
"validation_type": "Update"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2021-10-18",
"lab": "atsec information security corporation",
"validation_type": "Update"
}
],
"vendor": "Canonical Ltd.",
"vendor_url": "http://www.canonical.com"
}
}